SystemErrLogger (Catalina Internal API Documentation)
Keywords: org.apache.catalina.logger.SystemErrLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.logger
Class SystemErrLogger

    java.lang.Object
      org.apache.catalina.logger.LoggerBase
          org.apache.catalina.logger.SystemErrLogger

All Implemented Interfaces:
  Logger

public class SystemErrLogger
extends LoggerBase

Simple implementation of Logger that writes to System.err.

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Craig R. McClanahan

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.

Fields inherited from class org.apache.catalina.logger.LoggerBase
`container, debug, support, verbosity`

Fields inherited from interface org.apache.catalina.Logger
`DEBUG, ERROR, FATAL, INFORMATION, WARNING`

Constructor Summary
`SystemErrLogger()`

Method Summary
`void` | `log(java.lang.String msg)` Writes the specified message to a servlet log file, usually an event log.

Methods inherited from class org.apache.catalina.logger.LoggerBase
`addPropertyChangeListener, getContainer, getDebug, getInfo, getVerbosity, log, log, log, log, removePropertyChangeListener, setContainer, setDebug, setVerbosity, setVerbosityLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

Constructor Detail

### SystemErrLogger

    public SystemErrLogger()

Method Detail

### log

    public void log(java.lang.String msg)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container.

  Specified by:
    `log` in interface `Logger`
  Specified by:
    `log` in class `LoggerBase`
  Parameters:
    `msg` - A `String` specifying the message to be written to the log file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.